import { IgcHTMLElement } from "igniteui-webcomponents-core";
import { GridExpansionIndicator } from "./GridExpansionIndicator";
export declare class IgcDataGridExpansionIndicatorComponent extends IgcHTMLElement {
    protected createImplementation(): GridExpansionIndicator;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: GridExpansionIndicator; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgcDataGridExpansionIndicatorComponent;
    private onImplementationCreated;
    constructor();
    private _settingAttributes;
    protected _attached: boolean;
    private _queuedSetAttributes;
    protected _enqueueSetAttribute(attrName: string, attrValue: string): void;
    protected _flushQueuedAttributes(): void;
    protected _a(attrName: string, attrValue: any): void;
    connectedCallback(): void;
    private static _observedAttributesIgcDataGridExpansionIndicatorComponent;
    static readonly observedAttributes: string[];
    private _updatingFromAttribute;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
     * Gets or sets the expansion state of the indicator.
    */
    isExpanded: boolean;
    /**
     * Gets or sets the color of the indicator.
    */
    iconColor: string;
    /**
     * Gets or sets whether animations are enabled.
    */
    isAnimationEnabled: boolean;
    /**
     * Gets or sets the scaling value used to affect the pixel density of the control.
     * A higher scaling ratio will produce crisper visuals at the expense of memory.  Lower values will cause the control
     * to appear blurry.
    */
    pixelScalingRatio: number;
    /**
     * Gets the actual pixel scaling ratio used to affect the pixel density of the control.
     * A higher scaling ratio will produce crisper visuals at the expense of memory.  Lower values will cause the control
     * to appear blurry.
    */
    actualPixelScalingRatio: number;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected readonly hasUserValues: Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    notifySizeChanged(width: number, height: number): void;
}
